<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFNotes (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFNotes (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFNotes.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFNotes.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFNotes.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFNotes" class="title">Class HSLFNotes</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFSheet</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.usermodel.HSLFNotes</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                 title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                            title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                            title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFNotes</span>
extends <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
           title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>
implements <a href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
              title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</pre>
                <div class="block">This class represents a slide's notes in a PowerPoint Document. It
                    allows access to the text within, and the layout. For now, it only
                    does the text side of things though
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#logger">logger</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#HSLFNotes-org.apache.poi.hslf.record.Notes-">HSLFNotes</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Notes.html"
                                        title="class in org.apache.poi.hslf.record">Notes</a>&nbsp;notes)</code>
                                    <div class="block">Constructs a Notes Sheet from the given Notes record.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html"
                                        title="class in org.apache.poi.hslf.model">HeadersFooters</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getHeadersFooters--">getHeadersFooters</a></span>()</code>
                                    <div class="block">Header / Footer settings for this slide.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getMasterSheet--">getMasterSheet</a></span>()</code>
                                    <div class="block">Return <code>null</code> - Notes Masters are not yet supported
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">Get the placeholder details for the given placeholder type.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                    <div class="block">Returns an array of all the TextParagraphs found</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFSheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#Z:Z_getSheetNumber--">_getSheetNumber</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#Z:Z_getSheetRefId--">_getSheetRefId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#addShape-org.apache.poi.hslf.usermodel.HSLFShape-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#allocateShapeId--">allocateShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#draw-java.awt.Graphics2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getBackground--">getBackground</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getColorScheme--">getColorScheme</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholderByTextType-int-">getPlaceholderByTextType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPPDrawing--">getPPDrawing</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getProgrammableTag--">getProgrammableTag</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getSheetContainer--">getSheetContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getSlideShow--">getSlideShow</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#onAddTextShape-org.apache.poi.hslf.usermodel.HSLFTextShape-">onAddTextShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#onCreate--">onCreate</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#removeShape-org.apache.poi.hslf.usermodel.HSLFShape-">removeShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#setSlideShow-org.apache.poi.hslf.usermodel.HSLFSlideShow-">setSlideShow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Sheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getBackground--">getBackground</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getSlideShow--">getSlideShow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="logger">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>logger</h4>
                                <pre>protected static final&nbsp;<a
                                        href="../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a> logger</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFNotes-org.apache.poi.hslf.record.Notes-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFNotes</h4>
                                <pre>public&nbsp;HSLFNotes(<a
                                        href="../../../../../org/apache/poi/hslf/record/Notes.html"
                                        title="class in org.apache.poi.hslf.record">Notes</a>&nbsp;notes)</pre>
                                <div class="block">Constructs a Notes Sheet from the given Notes record.
                                    Initialises TextRuns, to provide easier access to the text
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>notes</code> - the Notes record to read from</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getTextParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextParagraphs</h4>
                                <pre>public&nbsp;java.util.List&lt;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;&nbsp;getTextParagraphs()</pre>
                                <div class="block">Returns an array of all the TextParagraphs found</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Notes.html#getTextParagraphs--">getTextParagraphs</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                                title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getTextParagraphs--">getTextParagraphs</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMasterSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMasterSheet</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>&nbsp;getMasterSheet()</pre>
                                <div class="block">Return <code>null</code> - Notes Masters are not yet supported</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getMasterSheet--">getMasterSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                                title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getMasterSheet--">getMasterSheet</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeadersFooters--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeadersFooters</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html"
                                                    title="class in org.apache.poi.hslf.model">HeadersFooters</a>&nbsp;getHeadersFooters()</pre>
                                <div class="block">Header / Footer settings for this slide.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getHeadersFooters--">getHeadersFooters</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Header / Footer settings for this slide</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPlaceholderDetails</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a>&nbsp;getPlaceholderDetails(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">Sheet</a></code></span>
                                </div>
                                <div class="block">Get the placeholder details for the given placeholder type. Not all
                                    placeholders are also shapes -
                                    this is especially true for old HSLF slideshows, which notes have header/footers
                                    elements which
                                    aren't shapes.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                                title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>placeholder</code> - the placeholder type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the placeholder details or <code>null</code>, if the placeholder isn't contained
                                        in the sheet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFNotes.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFNotes.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFNotes.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
